*,
:before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  --color-one: #2b2b2b;
  --color-two: #333333;
  --color-three: #839094;
  --color-four: #4c4c4c;
  --color-six: hsl(0, 0%, 95%);
  --fb-color: #3c5a99;
  --tw-color: #00a2e8;
  --yt-color: #e52e2e;
  --ig-color: #815dc7;
  --rss-color: #ffc338;
}

body {
  font-family: 'Open Sans', sans-serif;
  line-height: 1.8;
  margin: 0;
}

.container {
  margin: auto;
  max-width: 92rem;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

footer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin: auto;
  padding: 1rem 2rem;
  color: var(--color-three);
  background-color: var(--color-two);
}

section.main-footer section:not(:last-child) {
  margin-right: 4rem;
}

footer .container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

h3,
section.contact .content div span:last-child {
  color: var(--color-six);
}

section.contact {
  -ms-flex-preferred-size: 29rem;
  flex-basis: 29rem;
}

section.contact .content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

section.contact .content p {
  grid-area: 1 / 1 / 1 / 3;
  margin-top: 0;
  margin-bottom: 1.5rem;
}

section.contact .content span {
  display: block;
}

section.contact .content div {
  margin-bottom: 1.5rem;
}

section.contact .content div span:first-child {
  font-size: 0.9rem;
}

section.information {
  -ms-flex-preferred-size: 11rem;
  flex-basis: 11rem;
}

section.my-account {
  -ms-flex-preferred-size: 11rem;
  flex-basis: 11rem;
}

section.information .content span,
section.my-account .content span {
  display: block;
  margin-bottom: 0.5rem;
  cursor: pointer;
}

section.newsletter {
  -ms-flex-preferred-size: 29rem;
  flex-basis: 29rem;
}

section.newsletter .content .subscribe {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
section.newsletter .content .subscribe input[type='email'] {
  -webkit-box-flex: 0.5;
  -ms-flex-positive: 0.5;
  flex-grow: 0.5;
  padding: 0.8rem;
  background-color: var(--color-four);
  border-style: none;
  margin-right: 0.5rem;
}

section.newsletter .content .subscribe input[type='email']::-webkit-input-placeholder {
  color: var(--color-three);
  font-size: 1.1rem;
}

section.newsletter .content .subscribe input[type='email']::-moz-placeholder {
  color: var(--color-three);
  font-size: 1.1rem;
}

section.newsletter .content .subscribe input[type='email']:-ms-input-placeholder {
  color: var(--color-three);
  font-size: 1.1rem;
}

section.newsletter .content .subscribe input[type='email']::-ms-input-placeholder {
  color: var(--color-three);
  font-size: 1.1rem;
}

section.newsletter .content .subscribe input[type='email']::placeholder {
  color: var(--color-three);
  font-size: 1.1rem;
}

section.newsletter .content .subscribe button {
  border-style: none;
  background-color: var(--yt-color);
  color: white;
  padding: 0.8rem;
  -webkit-box-flex: 0.13;
  -ms-flex-positive: 0.13;
  flex-grow: 0.13;
  font-weight: bold;
}

.secondary-footer {
  background-color: var(--color-one);
  color: var(--color-three);
}

.secondary-footer .container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 1rem 2rem;
  min-height: 5rem;
  text-align: center;
}

.secondary-footer .copy-right span {
  color: var(--color-six);
}

.secondary-footer .payment-methods {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.payment-methods div {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.payment-methods div:not(:last-child) {
  margin-right: 1rem;
}

.payment-methods img {
  width: 3.5rem;
}

i.fa-brands.fa-facebook-f,
i.fa-brands.fa-twitter,
i.fa-brands.fa-youtube,
i.fa-brands.fa-instagram,
i.fa-solid.fa-rss {
  width: 2.5rem;
  height: 2.5rem;
  margin-right: 0.4rem;
  border-radius: 50%;
  line-height: 2.5rem;
  text-align: center;
  font-weight: bold;
  color: white;
}

i.fa-brands.fa-facebook-f {
  background-color: var(--fb-color);
}

i.fa-brands.fa-twitter {
  background-color: var(--tw-color);
}

i.fa-brands.fa-youtube {
  background-color: var(--yt-color);
}

i.fa-brands.fa-instagram {
  background-color: var(--ig-color);
}

i.fa-solid.fa-rss {
  background-color: var(--rss-color);
}

@media screen and (min-width: 680px) {
  .secondary-footer .container {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
  }
}

/* personal footer */

.footer {
  margin-top: 2rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  line-height: 1.5;
  text-align: center;
}

.platform,
.coder {
  font-weight: 600;
  text-decoration: none;
}

.platform {
  color: #2eca7f;
}

.coder {
  color: #cf2937;
}
